<?php
 header("Access-Control-Allow-Origin: *");
 header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$vendor_id=$json['vendor_id'];

// Start date
$date =$json['date'];
$arr=array();
$s=1;
    $days=date("l",strtotime($date));
    $mindays=date("D",strtotime($date));
    $numdays=date("d",strtotime($date));
    $sql="SELECT * FROM timeslot where vendor_id='$vendor_id' and slot_name='$days'";
    $result = $conn->query($sql);
    
    // output data of each row
    
    while($row = mysqli_fetch_assoc($result)) {
      if($row['available']==1){   
       $start = strtotime($row['start_time']);
       $end   = strtotime($row['end_time']); 
       for($i=$start; $i<=$end; $i = $i + 30*60){
           $currtime=date('H:i',$i);
           $showtime=date('g:i A',$i);
           $sqltime=$conn->query("SELECT * FROM save_order where job_date='$date' and job_time='$currtime'");
           if(mysqli_num_rows($sqltime)==0){
            $arr[]=array("id" => $row['id'],"time" => $currtime,"show_time" => $showtime,"disabled" =>false);
           }else{
             $arr[]=array("id" => $row['id'],"time" => $currtime,"show_time" => $showtime,"disabled" =>true);     
           }
       }
      }
    $s++;}
    
$data = array("data" => $arr);
echo json_encode($data);    
$conn->close();
?>